org.apache.cassandra.io.sstable

## Class IndexSummary.IndexSummarySerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.IndexSummary.IndexSummarySerializer

Enclosing class:
  IndexSummary

    public static class IndexSummary.IndexSummarySerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IndexSummary.IndexSummarySerializer()`

### Method Summary

Methods
`IndexSummary` `deserialize(java.io.DataInputStream in, IPartitioner partitioner)`
`void` `serialize(IndexSummary t, java.io.DataOutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexSummary.IndexSummarySerializer

    public IndexSummary.IndexSummarySerializer()

### Method Detail

#### serialize

    public void serialize(IndexSummary t,
                 java.io.DataOutputStream out)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public IndexSummary deserialize(java.io.DataInputStream in,
                           IPartitioner partitioner)
                             throws java.io.IOException

Throws:
  `java.io.IOException`